View Issue Details

IDProjectCategoryView StatusLast Update
0002560unrealircdpublic2007-04-16 10:36
Reporterw00tAssigned Tostskeeps 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSn/aOS Versionn/a
Product Version3.2.3 
Target VersionFixed in Version3.3-alpha0 
Summary0002560: SAMODE with incorrect # of params sends incorrect ERR_NEEDMOREPARAMS reply
Description-> devel.netronet.com SAMODE
<- :devel.netronet.com 461 w00t MODE :Not enough parameters

should be:

-> devel.netronet.com SAMODE
<- :devel.netronet.com 461 w00t SAMODE :Not enough parameters

[o/t]Yes, this is trivial indeed ;p[o/t]
TagsNo tags attached.
3rd party modules

Activities

RandomNumber

2005-06-12 04:20

reporter   ~0010079

confirmed
-> supreme.irchat.tv SAMODE
<- :supreme.irchat.tv 461 Random MODE :Not enough parameters

w00t

2005-11-05 11:33

reporter   ~0010650

I'm sad.

:P

Index: m_samode.c
===================================================================
--- m_samode.c (revision 337)
+++ m_samode.c (working copy)
@@ -106,7 +106,7 @@
     else
     {
         sendto_one(sptr, err_str(ERR_NEEDMOREPARAMS),
- me.name, parv[0], "MODE");
+ me.name, parv[0], "SAMODE");
         return 0;
     }
     opermode = 0;

WolfSage

2007-04-16 01:35

reporter   ~0013442

This fix looks good to me. Can we apply it already? =P

stskeeps

2007-04-16 10:36

reporter   ~0013452

Fixed in .2353

Issue History

Date Modified Username Field Change
2005-06-12 03:26 w00t New Issue
2005-06-12 04:20 RandomNumber Note Added: 0010079
2005-11-05 11:33 w00t Note Added: 0010650
2007-04-16 01:35 WolfSage Note Added: 0013442
2007-04-16 10:36 stskeeps Status new => resolved
2007-04-16 10:36 stskeeps Fixed in Version => 3.3-alpha0
2007-04-16 10:36 stskeeps Resolution open => fixed
2007-04-16 10:36 stskeeps Assigned To => stskeeps
2007-04-16 10:36 stskeeps Note Added: 0013452